diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 211ddc1..c660020 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -13138,7 +13138,7 @@ inverse matrix [[j**i for i in 0..4] for j in 1..5]
 --R                                                         Type: Matrix Integer
 --E 58
 
---S 59 of 59
+--S 59
 )show MatrixCategory
 --R 
 --R MatrixCategory(R: Ring,Row: FiniteLinearAggregate t#1,Col: FiniteLinearAggregate t#1)  is a category constructor
@@ -17793,7 +17793,7 @@ ExtensibleLinearAggregate(S:Type):Category == LinearAggregate S with
    concat_!(x:%, y:S)	   == concat_!(x, new(1, y))
    if S has SetCategory then
      remove(s:S, x:%)	     == remove_!(s, copy x)
-     remove_!(s:S, x:%)	     == remove_!(#1 = s, x)
+     remove_!(s:S, x:%)	     == remove_!(y +-> y = s, x)
      removeDuplicates(x:%)   == removeDuplicates_!(copy x)
 
    if S has OrderedSet then
diff --git a/changelog b/changelog
index 1e43cf4..783c607 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.06.tpd.patch
+20090510 tpd books/bookvol10.2 ELAGG +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.05.tpd.patch
 20090510 tpd books/bookvol10.3 D01ALFA +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 598a735..bcf6bbd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1170,5 +1170,7 @@ bookvol10.4 ALGFACT +-> conversion<br/>
 bookvol10.2 MatrixCategory test, help, examples<br/>
 <a href="patches/20090510.05.tpd.patch">20090510.05.tpd.patch</a>
 bookvol10.3 D01ALFA +-> conversion<br/>
+<a href="patches/20090510.06.tpd.patch">20090510.06.tpd.patch</a>
+bookvol10.2 ELAGG +-> conversion<br/>
  </body>
 </html>
